STU3 Procedure
The Procedure resource describes "an action that is or was performed on a patient. This can be a physical intervention like an operation, or less invasive like counseling or hypnotherapy." HL7 FHIR STU3 Procedure
Supported Profiles
This API supports the following FHIR profiles:
Operations
The General Purpose STU3 API Procedure resource supports the following standard operations. However, support varies by the targeted CareRecord or solution.
| CareRecord / Solution | Create | Read | Update | Search |
|---|---|---|---|---|
| GEHRIMED | - | - | - | - |
| myAvatar | - | - | - | - |
| myEvolv | - | - | - | - |
| myUnity | - | - | - | - |
Search
info
Not all Netsmart solutions support Procedure search. See supported operations table above and consult your target solution's documentation for more information.
This operation retrieves a list of resources by these query parameters.
Standard Parameters
| Name | Type | Description |
|---|---|---|
| patient | reference | REQUIRED "The unique identifier of the patient. |
| _id | id | Unique identifier of the Procedure. Cannot be used with other search parameters. |
Custom Parameters
| Name | Type | Description |
|---|---|---|
| end | date | End date/time |
| start | date | Start date/time |
Search Examples
Via POST
The POST method is recommended as it keeps health information out of the URL.
- Production
- Preview
Search by Patient
curl -X POST https://fhir.netsmartcloud.com/fhir/Procedure/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "patient=Patient/147"
Search by Patient
curl -X POST https://fhirtest.netsmartcloud.com/fhir/Procedure/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "patient=Patient/147"
Via GET
- Production
- Preview
Search by Patient
curl -X GET "https://fhir.netsmartcloud.com/fhir/Procedure?patient=Patient/147" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"
Search by Patient
curl -X GET "https://fhirtest.netsmartcloud.com/fhir/Procedure?patient=Patient/147" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"